com.genesyslab.wfm8.API.service.forecast800

## Class FrcActivityStaffingDataParameters

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast800.FrcActivityStaffingDataParameters

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcActivityStaffingDataParameters
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `activityId` Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0
    `protected int` | `buId` Business Unit ID
    `protected java.util.List<FrcTemplateData>` | `iotTemplate` Indirectly Occupied Time templates
    `protected int` | `iotTemplateArraySize` Indirectly Occupied Time templates array size
    `protected java.util.List<FrcTemplateData>` | `nonWorkOverheadTemplate` Non-working Overheads templates
    `protected int` | `nonWorkOverheadTemplateArraySize` Non-working Overheads templates array size
    `protected java.util.List<FrcDataParameters>` | `parameters` Parameters
    `protected int` | `parametersArraySize` Parameters array size
    `private static long` | `serialVersionUID`
    `protected int` | `siteId` Site ID
    `protected java.util.List<FrcTemplateData>` | `workOverheadTemplate` Working Overhead templates
    `protected int` | `workOverheadTemplateArraySize` Working Overhead templates array size

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcActivityStaffingDataParameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getActivityId()` Gets the activityId value for this FrcActivityStaffingDataParameters.
    `int` | `getBuId()` Gets the buId value for this FrcActivityStaffingDataParameters.
    `java.util.List<FrcTemplateData>` | `getIOTTemplate()` Gets the iotTemplate value for this FrcActivityStaffingDataParameters.
    `int` | `getIOTTemplateArraySize()` Gets the iotTemplateArraySize value for this FrcActivityStaffingDataParameters.
    `java.util.List<FrcTemplateData>` | `getNonWorkOverheadTemplate()` Gets the nonWorkOverheadTemplate value for this FrcActivityStaffingDataParameters.
    `int` | `getNonWorkOverheadTemplateArraySize()` Gets the nonWorkOverheadTemplateArraySize value for this FrcActivityStaffingDataParameters.
    `java.util.List<FrcDataParameters>` | `getParameters()` Gets the parameters value for this FrcActivityStaffingDataParameters.
    `int` | `getParametersArraySize()` Gets the parametersArraySize value for this FrcActivityStaffingDataParameters.
    `int` | `getSiteId()` Gets the siteId value for this FrcActivityStaffingDataParameters.
    `java.util.List<FrcTemplateData>` | `getWorkOverheadTemplate()` Gets the workOverheadTemplate value for this FrcActivityStaffingDataParameters.
    `int` | `getWorkOverheadTemplateArraySize()` Gets the workOverheadTemplateArraySize value for this FrcActivityStaffingDataParameters.
    `int` | `hashCode()`
    `void` | `setActivityId(int activityId)` Sets the activityId value for this FrcActivityStaffingDataParameters.
    `void` | `setBuId(int buId)` Sets the buId value for this FrcActivityStaffingDataParameters.
    `void` | `setIOTTemplate(java.util.List<FrcTemplateData> iotTemplate)` Sets the iotTemplate value for this FrcActivityStaffingDataParameters.
    `void` | `setIOTTemplateArraySize(int iotTemplateArraySize)` Sets the iotTemplateArraySize value for this FrcActivityStaffingDataParameters.
    `void` | `setNonWorkOverheadTemplate(java.util.List<FrcTemplateData> nonWorkOverheadTemplate)` Sets the nonWorkOverheadTemplate value for this FrcActivityStaffingDataParameters.
    `void` | `setNonWorkOverheadTemplateArraySize(int nonWorkOverheadTemplateArraySize)` Sets the nonWorkOverheadTemplateArraySize value for this FrcActivityStaffingDataParameters.
    `void` | `setParameters(java.util.List<FrcDataParameters> parameters)` Sets the parameters value for this FrcActivityStaffingDataParameters.
    `void` | `setParametersArraySize(int parametersArraySize)` Sets the parametersArraySize value for this FrcActivityStaffingDataParameters.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this FrcActivityStaffingDataParameters.
    `void` | `setWorkOverheadTemplate(java.util.List<FrcTemplateData> workOverheadTemplate)` Sets the workOverheadTemplate value for this FrcActivityStaffingDataParameters.
    `void` | `setWorkOverheadTemplateArraySize(int workOverheadTemplateArraySize)` Sets the workOverheadTemplateArraySize value for this FrcActivityStaffingDataParameters.
    `java.lang.String` | `toString()`
    `FrcActivityStaffingDataParameters` | `withActivityId(int value)`
    `FrcActivityStaffingDataParameters` | `withBuId(int value)`
    `FrcActivityStaffingDataParameters` | `withIOTTemplate(java.util.Collection<FrcTemplateData> values)`
    `FrcActivityStaffingDataParameters` | `withIOTTemplate(FrcTemplateData... values)`
    `FrcActivityStaffingDataParameters` | `withIOTTemplateArraySize(int value)`
    `FrcActivityStaffingDataParameters` | `withNonWorkOverheadTemplate(java.util.Collection<FrcTemplateData> values)`
    `FrcActivityStaffingDataParameters` | `withNonWorkOverheadTemplate(FrcTemplateData... values)`
    `FrcActivityStaffingDataParameters` | `withNonWorkOverheadTemplateArraySize(int value)`
    `FrcActivityStaffingDataParameters` | `withParameters(java.util.Collection<FrcDataParameters> values)`
    `FrcActivityStaffingDataParameters` | `withParameters(FrcDataParameters... values)`
    `FrcActivityStaffingDataParameters` | `withParametersArraySize(int value)`
    `FrcActivityStaffingDataParameters` | `withSiteId(int value)`
    `FrcActivityStaffingDataParameters` | `withWorkOverheadTemplate(java.util.Collection<FrcTemplateData> values)`
    `FrcActivityStaffingDataParameters` | `withWorkOverheadTemplate(FrcTemplateData... values)`
    `FrcActivityStaffingDataParameters` | `withWorkOverheadTemplateArraySize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteId

          protected int siteId

      Site ID

    - #### activityId

          protected int activityId

      Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0

    - #### buId

          protected int buId

      Business Unit ID

    - #### parametersArraySize

          protected int parametersArraySize

      Parameters array size

    - #### parameters

          protected java.util.List<FrcDataParameters> parameters

      Parameters

    - #### iotTemplateArraySize

          protected int iotTemplateArraySize

      Indirectly Occupied Time templates array size

    - #### iotTemplate

          protected java.util.List<FrcTemplateData> iotTemplate

      Indirectly Occupied Time templates

    - #### workOverheadTemplateArraySize

          protected int workOverheadTemplateArraySize

      Working Overhead templates array size

    - #### workOverheadTemplate

          protected java.util.List<FrcTemplateData> workOverheadTemplate

      Working Overhead templates

    - #### nonWorkOverheadTemplateArraySize

          protected int nonWorkOverheadTemplateArraySize

      Non-working Overheads templates array size

    - #### nonWorkOverheadTemplate

          protected java.util.List<FrcTemplateData> nonWorkOverheadTemplate

      Non-working Overheads templates

  - ### Constructor Detail

    - #### FrcActivityStaffingDataParameters

          public FrcActivityStaffingDataParameters()

  - ### Method Detail

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this FrcActivityStaffingDataParameters.
      Returns:
        siteId

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this FrcActivityStaffingDataParameters.
      Parameters:
        `siteId` -

    - #### getActivityId

          public int getActivityId()

      Gets the activityId value for this FrcActivityStaffingDataParameters.
      Returns:
        activityId

    - #### setActivityId

          public void setActivityId(int activityId)

      Sets the activityId value for this FrcActivityStaffingDataParameters.
      Parameters:
        `activityId` -

    - #### getBuId

          public int getBuId()

      Gets the buId value for this FrcActivityStaffingDataParameters.
      Returns:
        buId

    - #### setBuId

          public void setBuId(int buId)

      Sets the buId value for this FrcActivityStaffingDataParameters.
      Parameters:
        `buId` -

    - #### getParametersArraySize

          public int getParametersArraySize()

      Gets the parametersArraySize value for this FrcActivityStaffingDataParameters.
      Returns:
        parametersArraySize

    - #### setParametersArraySize

          public void setParametersArraySize(int parametersArraySize)

      Sets the parametersArraySize value for this FrcActivityStaffingDataParameters.
      Parameters:
        `parametersArraySize` -

    - #### getParameters

          public java.util.List<FrcDataParameters> getParameters()

      Gets the parameters value for this FrcActivityStaffingDataParameters.
      Returns:
        parameters

    - #### setParameters

          public void setParameters(java.util.List<FrcDataParameters> parameters)

      Sets the parameters value for this FrcActivityStaffingDataParameters.
      Parameters:
        `parameters` -

    - #### getIOTTemplateArraySize

          public int getIOTTemplateArraySize()

      Gets the iotTemplateArraySize value for this FrcActivityStaffingDataParameters.
      Returns:
        iotTemplateArraySize

    - #### setIOTTemplateArraySize

          public void setIOTTemplateArraySize(int iotTemplateArraySize)

      Sets the iotTemplateArraySize value for this FrcActivityStaffingDataParameters.
      Parameters:
        `iotTemplateArraySize` -

    - #### getIOTTemplate

          public java.util.List<FrcTemplateData> getIOTTemplate()

      Gets the iotTemplate value for this FrcActivityStaffingDataParameters.
      Returns:
        iotTemplate

    - #### setIOTTemplate

          public void setIOTTemplate(java.util.List<FrcTemplateData> iotTemplate)

      Sets the iotTemplate value for this FrcActivityStaffingDataParameters.
      Parameters:
        `iotTemplate` -

    - #### getWorkOverheadTemplateArraySize

          public int getWorkOverheadTemplateArraySize()

      Gets the workOverheadTemplateArraySize value for this FrcActivityStaffingDataParameters.
      Returns:
        workOverheadTemplateArraySize

    - #### setWorkOverheadTemplateArraySize

          public void setWorkOverheadTemplateArraySize(int workOverheadTemplateArraySize)

      Sets the workOverheadTemplateArraySize value for this FrcActivityStaffingDataParameters.
      Parameters:
        `workOverheadTemplateArraySize` -

    - #### getWorkOverheadTemplate

          public java.util.List<FrcTemplateData> getWorkOverheadTemplate()

      Gets the workOverheadTemplate value for this FrcActivityStaffingDataParameters.
      Returns:
        workOverheadTemplate

    - #### setWorkOverheadTemplate

          public void setWorkOverheadTemplate(java.util.List<FrcTemplateData> workOverheadTemplate)

      Sets the workOverheadTemplate value for this FrcActivityStaffingDataParameters.
      Parameters:
        `workOverheadTemplate` -

    - #### getNonWorkOverheadTemplateArraySize

          public int getNonWorkOverheadTemplateArraySize()

      Gets the nonWorkOverheadTemplateArraySize value for this FrcActivityStaffingDataParameters.
      Returns:
        nonWorkOverheadTemplateArraySize

    - #### setNonWorkOverheadTemplateArraySize

          public void setNonWorkOverheadTemplateArraySize(int nonWorkOverheadTemplateArraySize)

      Sets the nonWorkOverheadTemplateArraySize value for this FrcActivityStaffingDataParameters.
      Parameters:
        `nonWorkOverheadTemplateArraySize` -

    - #### getNonWorkOverheadTemplate

          public java.util.List<FrcTemplateData> getNonWorkOverheadTemplate()

      Gets the nonWorkOverheadTemplate value for this FrcActivityStaffingDataParameters.
      Returns:
        nonWorkOverheadTemplate

    - #### setNonWorkOverheadTemplate

          public void setNonWorkOverheadTemplate(java.util.List<FrcTemplateData> nonWorkOverheadTemplate)

      Sets the nonWorkOverheadTemplate value for this FrcActivityStaffingDataParameters.
      Parameters:
        `nonWorkOverheadTemplate` -

    - #### withIOTTemplate

          public FrcActivityStaffingDataParameters withIOTTemplate(java.util.Collection<FrcTemplateData> values)

    - #### withIOTTemplate

          public FrcActivityStaffingDataParameters withIOTTemplate(FrcTemplateData... values)

    - #### withIOTTemplateArraySize

          public FrcActivityStaffingDataParameters withIOTTemplateArraySize(int value)

    - #### withParameters

          public FrcActivityStaffingDataParameters withParameters(java.util.Collection<FrcDataParameters> values)

    - #### withParameters

          public FrcActivityStaffingDataParameters withParameters(FrcDataParameters... values)

    - #### withParametersArraySize

          public FrcActivityStaffingDataParameters withParametersArraySize(int value)

    - #### withWorkOverheadTemplate

          public FrcActivityStaffingDataParameters withWorkOverheadTemplate(java.util.Collection<FrcTemplateData> values)

    - #### withWorkOverheadTemplate

          public FrcActivityStaffingDataParameters withWorkOverheadTemplate(FrcTemplateData... values)

    - #### withWorkOverheadTemplateArraySize

          public FrcActivityStaffingDataParameters withWorkOverheadTemplateArraySize(int value)

    - #### withNonWorkOverheadTemplate

          public FrcActivityStaffingDataParameters withNonWorkOverheadTemplate(java.util.Collection<FrcTemplateData> values)

    - #### withNonWorkOverheadTemplate

          public FrcActivityStaffingDataParameters withNonWorkOverheadTemplate(FrcTemplateData... values)

    - #### withNonWorkOverheadTemplateArraySize

          public FrcActivityStaffingDataParameters withNonWorkOverheadTemplateArraySize(int value)

    - #### withActivityId

          public FrcActivityStaffingDataParameters withActivityId(int value)

    - #### withSiteId

          public FrcActivityStaffingDataParameters withSiteId(int value)

    - #### withBuId

          public FrcActivityStaffingDataParameters withBuId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.